import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { HttpClientModule } from '@angular/common/http';
import { AlertcardComponent, DeliveryoptionsComponent, PreferenceComponent, SliderComponent } from './components';
import { PreferenceService } from './services';
var NetprefsModule = /** @class */ (function () {
    function NetprefsModule() {
    }
    NetprefsModule.decorators = [
        { type: NgModule, args: [{
                    providers: [
                        PreferenceService,
                    ],
                    declarations: [
                        AlertcardComponent,
                        DeliveryoptionsComponent,
                        PreferenceComponent,
                        SliderComponent
                    ],
                    imports: [
                        CommonModule,
                        FormsModule,
                        HttpClientModule
                    ],
                    exports: [
                        AlertcardComponent,
                        DeliveryoptionsComponent,
                        PreferenceComponent,
                        SliderComponent
                    ]
                },] },
    ];
    /** @nocollapse */
    NetprefsModule.ctorParameters = function () { return []; };
    return NetprefsModule;
}());
export { NetprefsModule };
//# sourceMappingURL=netprefs.module.js.map