import { OnInit, EventEmitter } from '@angular/core';
import { DeliveryOption, AlertPreference } from '../../services/preference/preference';
export declare class AlertcardComponent implements OnInit {
    alertPref: AlertPreference;
    deliveryOptions: DeliveryOption[];
    externalParameters: object;
    save: EventEmitter<any>;
    active: boolean;
    parameters: ParameterInput[];
    deliverTo: number[];
    isDirty: boolean;
    deliveryOptionChanged(id: number): void;
    ngOnInit(): void;
    statusChanged(): void;
    parameterChanged(): void;
    savePref(): void;
    cancelPref(): void;
}
export declare class ParameterInput {
    id: string;
    label: string;
    value: string;
}
